%define	module	numexpr
%define name	python-%{module}
%define version	2.1
%define release	%mkrel 1

Summary: 	Fast numerical array expression evaluator for Python and NumPy
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://numexpr.googlecode.com/files/%{module}-%{version}.tar.xz
License:	MIT
Group:		Development/Python
Url:		http://numexpr.googlecode.com/
BuildRequires:	python-devel
BuildRequires:	python-numpy-devel >= 1.6
BuildRequires:	python-six
Requires:	python-numpy >= 1.6

%description
The numexpr package evaluates multiple-operator array expressions many
times faster than NumPy can. It accepts the expression as a string,
analyzes it, rewrites it more efficiently, and compiles it to faster
Python code on the fly. It's the next best thing to writing the
expression in C and compiling it with a specialized just-in-time (JIT)
compiler, i.e. it does not require a compiler at runtime.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

%files
%doc ANNOUNCE.txt LICENSE.txt RELEASE_NOTES.txt README.txt
%dir %{python_sitearch}/%{module}
%{python_sitearch}/%{module}/*
%{python_sitearch}/%{module}-*.egg-info 


%changelog
* Sat Aug 10 2013 billybot <billybot> 2.1-1pclos2013
- update
